Loading...
Searching...
No Matches
bliss::UintSeqHash Class Reference

A updatable hash for sequences of unsigned ints. More...

`#include <uintseqhash.hh>`

## Public Member Functions

void | reset ()
void | update (unsigned int n)
unsigned int | get_value () const
int | cmp (const UintSeqHash &other) const
bool | is_lt (const UintSeqHash &other) const
bool | is_le (const UintSeqHash &other) const
bool | is_equal (const UintSeqHash &other) const

## Detailed Description

A updatable hash for sequences of unsigned ints.

## Member Function Documentation

## cmp()

int bliss::UintSeqHash::cmp | ( | const UintSeqHash & | other | ) | const

inline

Compare the hash values of this and other. Return -1/0/1 if the value of this is smaller/equal/greater than that of other.

## get_value()

unsigned int bliss::UintSeqHash::get_value | ( |  | ) | const

inline

Get the hash value of the sequence seen so far.

## is_equal()

bool bliss::UintSeqHash::is_equal | ( | const UintSeqHash & | other | ) | const

inline

An abbreviation for cmp(other) == 0

## is_le()

bool bliss::UintSeqHash::is_le | ( | const UintSeqHash & | other | ) | const

inline

An abbreviation for cmp(other) <= 0

## is_lt()

bool bliss::UintSeqHash::is_lt | ( | const UintSeqHash & | other | ) | const

inline

An abbreviation for cmp(other) < 0

## reset()

void bliss::UintSeqHash::reset | ( |  | ) |

inline

Reset the hash value.

## update()

void bliss::UintSeqHash::update | ( | unsigned int | n | ) |

Add the unsigned int n to the sequence.

The documentation for this class was generated from the following files:

- src/uintseqhash.hh
- src/uintseqhash.cc